• 简体中文
  • 查询订单

    请求接口路径

    [POST] /api/v2/bill-payment/order/query

    参数列表

    名称类型长度必填描述
    sceneCodeString-是业务场景码【详见 场景码】
    outOrderNoString64是商户订单号
    orderNoString64是Palmpay 平台订单号(商户订单号和平台订单号不能同时为空)

    返回值

    名称类型长度必填描述
    outOrderNoString64是商户订单号
    orderNoString32是PalmPay 平台订单号
    billerIdString32是运营商 ID
    itemIdString32是套餐 ID
    orderStatusInteger20是订单状态【详见 订单状态】
    amountLong-是订单总金额(单位为分)
    sceneCodeString-是业务场景码
    currencySymbolString5是货币符号
    currencyString5是货币类型
    payerEmailString50是付款方邮箱
    payerMobileNoString50是关联的系统会员手机
    payerAccountIdString50是付款人账户 id
    payerAccountTypeInteger50是付款方账户类型
    payTimeLong-是支付时间
    completedTimeLong-是订单完成时间
    merchantNoString32是商户号
    errorMsgString32是返回信息

    Postman 请求示例

    request

    curl 请求

    curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/bill-payment/order/query' \
    --header 'Accept: application/json, text/plain, */*' \
    --header 'CountryCode: NG' \
    --header 'Authorization: Bearer 10241024' \
    --header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
    --header 'Content-Type: application/json' \
    --data '{
        "requestTime":1662171389940,
        "version":"V1.1",
        "nonceStr":"IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
        "orderNo":"y521ug58000",
    }'

    response

    {
      "respCode": "00000000",
      "respMsg": "success",
      "data": {
        "orderNo": "y521ug58000",
        "outOrderNo": "tC27wjQmRnbapFAwynhatCxWkXwN7rpG",
        "billerId": "MTN",
        "itemId": "s105113874659400",
        "orderStatus": 1,
        "amount": null,
        "currencySymbol": "₦",
        "currency": "NGN",
        "payerEmail": "caojiangling07@foxmail.com",
        "payerMobileNo": null,
        "payerAccountId": "fb567314d91e455c97119ee06bb",
        "payerAccountType": 4,
        "payTime": 1713927263000,
        "completedTime": 1713927280000,
        "merchantNo": "12311240914311",
        "errorMsg": null,
        "notifyUrl": "https://xxx/notify"
      }
    }

    公共错误码

    参见此文

    业务错误码

    错误码错误描述解决方案
    SBP.INVALID_PARAMETER参数无效检查请求参数,修改后重新发起请求
    SBP.INVALID_SCENE_CODE场景码无效检查场景码,修改后重新发起请求
    SBP.TRADE_NOT_EXIST订单不存在检查传入的交易号是否正确,修改后重新发起请求